/*********************************************
 * qrand.h                                   *
 * a quick and dirty drop-in replacement for *
 * rand() and srand()                        *
 *                                           *
 * (C) 2004 - Nathan Rosenquist              *
 ********************************************/

#define RAND_MAX 2147483647

unsigned long __seed = 1;

extern int rand(void) {
    __seed = (16807 * __seed) & 0x7FFFFFFF;
    return (__seed);
}

extern void srand(unsigned int seed) {
    __seed = seed;
}
